Subject: Re: FVWM: Store and Recall MousePosition? (ALT+Mouse3-Resize)

From: Dominik Vogt <[email-masked]>
Date: Mon, 5 Jan 2004 11:33:52 +0100

On Tue, Dec 30, 2003 at 10:10:57PM +0100, Gert Brinkmann wrote:
> 
> 
> Mikhael Goikhman wrote:
> 
> >I would say any complex function should normally have only one "M",
> >like in this sample:
> 
> OK. Just one question to be sure to understand how execution of this 
> complex functions works:
> 
> >  DestroyFunc MyResizeDispatcher
> >  AddToFunc   MyResizeDispatcher
> >  + C MyResize0
> >  + M MyResize
> >  + H MyResize
> >  + D MyResize2
> 
> All of the lines are walked through sequentially from top to bottom? The 
> "C" or "M" is just a condition if the line is executed or not, but 
> execution is not paused until such a condition is fulfilled? Is this right?

Complex functions are handled like this:

  Top level functions:

    1. All "I"mmediate actions are executed in the same order they
       appear in the function.
    2. If there are any other actions, fvwm decides whether the
       action is a "C"lick, "D"ouble click, "M"ove or "H"old
       action.  It usually has to wait for user input.
    3. All actions of the given type are executed in the same
       order they appear in the function.

  Functions called by other functions:

    These should just use the "I" action type so everything is
    executed once they are called.

Ciao

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].